Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class ListOfValuesDTO

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.ListOfValuesDTO

All Implemented Interfaces:
  java.io.Serializable

    public class ListOfValuesDTO

extends BaseDTO

Version:
  $Id: ListOfValuesDTO.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`ListOfValuesDTO(ListOfValues listOfValues)`

Method Summary
`ListOfValues` | `getListOfValues()`
`java.lang.String` | `getNewLabel()`
`java.lang.String` | `getNewValue()`
`void` | `setListOfValues(ListOfValues listOfValues)`
`void` | `setNewLabel(java.lang.String newLabel)`
`void` | `setNewValue(java.lang.String newValue)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListOfValuesDTO

    public ListOfValuesDTO(ListOfValues listOfValues)

Method Detail

### getNewLabel

    public java.lang.String getNewLabel()

### setNewLabel

    public void setNewLabel(java.lang.String newLabel)

### getNewValue

    public java.lang.String getNewValue()

### setNewValue

    public void setNewValue(java.lang.String newValue)

### getListOfValues

    public ListOfValues getListOfValues()

### setListOfValues

    public void setListOfValues(ListOfValues listOfValues)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.